%{?!_without_python2:%global with_python2 0%{?_with_python2:1} || !(0%{?rhel} >= 8)}
%{?!_without_python3:%global with_python3 0%{?_with_python3:1} || !0%{?rhel} || 0%{?rhel} >= 7}

%global srcname catkin-sphinx

Name:           python-%{srcname}
Version:        0.2.2
Release:        3%{?dist}
Summary:        Sphinx extension for Catkin projects

Group:          Development/Libraries
License:        BSD
URL:            https://github.com/ros-infrastructure/%{srcname}
Source0:        https://github.com/ros-infrastructure/%{srcname}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

%description
Sphinx extension for Catkin projects that provides a custom ROS theme and a
Sphinx domain for CMake.

%if 0%{?with_python2}
%package -n python2-%{srcname}
Summary:        %{summary}
BuildRequires:  python2-devel
Requires:       python2-sphinx
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
Sphinx extension for Catkin projects that provides a custom ROS theme and a
Sphinx domain for CMake.
%endif # with_python2

%if 0%{?with_python3}
%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}
BuildRequires:  python%{python3_pkgversion}-devel
Requires:       python%{python3_pkgversion}-sphinx
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}

%description -n python%{python3_pkgversion}-%{srcname}
Sphinx extension for Catkin projects that provides a custom ROS theme and a
Sphinx domain for CMake.
%endif # with_python3

%prep
%autosetup -p1 -n %{srcname}-%{version}

%build
%if 0%{?with_python2}
%py2_build
%endif # with_python2

%if 0%{?with_python3}
%py3_build
%endif # with_python3

%install
%if 0%{?with_python2}
%py2_install
%endif # with_python2

%if 0%{?with_python3}
%py3_install
%endif # with_python3

%if 0%{?with_python2}
%files -n python2-%{srcname}
%doc README.md
%{python2_sitelib}/catkin_sphinx-%{version}-py%{python2_version}.egg-info
%{python2_sitelib}/catkin_sphinx/
%endif # with_python2

%if 0%{?with_python3}
%files -n python%{python3_pkgversion}-%{srcname}
%doc README.md
%{python3_sitelib}/catkin_sphinx-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/catkin_sphinx/
%endif # with_python3

%changelog
* Thu Mar 07 2019 Troy Dawson <tdawson@redhat.com> - 0.2.2-3
- Rebuilt to change main python from 3.4 to 3.6

* Wed Jan 23 2019 Scott K Logan <logans@cottsay.net> - 0.2.2-2
- Add Python 34 package for EPEL7 and update Spec format

* Sat Apr 16 2016 Scott K Logan <logans@cottsay.net> - 0.2.2-1
- Update to 0.2.2
- Update spec format to better follow Fedora

* Sat Dec 13 2014 Scott K Logan <logans@cottsay.net> - 0.2.1-3.20130602gitc00d68b
- Add python3 package

* Mon Jun 03 2013 Rich Mattes <richmattes@gmail.com> - 0.2.1-2.20130602gitc00d68b
- Change Python BuildRequires to python2-devel
- Don't try to remove RPM_BUILD_ROOT in install

* Sun Jun 02 2013 Rich Mattes <richmattes@gmail.com> - 0.2.1-1.20130602gitc00d68b
- Initial package
